### Method

# Gtk EventControllerset_propagation_limit

#### Declaration [src]

    void
    gtk_event_controller_set_propagation_limit (
      GtkEventController* controller,
      GtkPropagationLimit limit
    )

#### Description [src]

Sets the event propagation limit on the event controller.

If the limit is set to `GTK_LIMIT_SAME_NATIVE`, the controller won’t handle events that are targeted at widgets on a different surface, such as popovers.

Sets property | `Gtk.EventController:propagation-limit`

#### Parameters

`limit`

  Type: `GtkPropagationLimit`

  The propagation limit.